<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Traits\ModelTimeFormat;

use App\Traits\ModelLogChanging;

class AuditLog extends Model
{
    use ModelLogChanging;

    use ModelTimeFormat;
    use SoftDeletes;
    protected $table='audit_logs';
    protected $fillable=[
        'waybill_id','audit_stage','user_id'
    ];

    public function waybill(){
        return $this->belongsTo('App\Waybill','waybill_id','id');
    }
    public function user(){
        return $this->belongsTo('App\User','user_id','id');
    }
}
